<cui-icon *ngIf="prefixIcon && !isIconButton" class="cui-icon-prefix" [name]="prefixIcon" [ngClass]="iconClass || {}" [size]="iconSize"></cui-icon>
<span *ngIf="!isIconButton" class="cui-button-content" [ngClass]="textClass || {}"><ng-content></ng-content></span>
<cui-icon *ngIf="isIconButton" [name]="icon" [ngClass]="iconClass || {}" [size]="iconSize"></cui-icon>
<cui-icon *ngIf="suffixIcon && !isIconButton" class="cui-icon-suffix" [name]="suffixIcon" [ngClass]="iconClass || {}" [size]="iconSize"></cui-icon>
<cui-spinner *ngIf="loading"></cui-spinner>
